# DescribeDomainCertificate

## 1. API Description

This interface is used to query the SSL certificate for an accelerated domain.

## 2. Request Parameters

The following request parameters are required by the interface:

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain ID |

## 3. Output Parameters

| Parameter Name | Type                                                                                                        | Description                                                                                  |
| -------------- | ----------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                      | Unique request ID. This ID is returned with every request and is needed for troubleshooting. |
| certificate    | [CertificateInfo](https://docs.console.zenlayer.com/api-reference/networking/datastructure#certificateinfo) | Accelerated domain certificate.                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Accelerated Domain SSL Certificate**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainCertificate
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}

Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "certificate": {
            "certificateId": "certificateIdxxxxx",
            "certificateLabel": "certificatexxx",
            "common": "*.xx.com",
            "fingerprint": "1D7801BBE772D5DE55CBF1F88AEB41A42402DA07",
            "issuer": "TrustAsia TLS RSA CA",
            "sans": ["xx.cn"],
            "algorithm": "RSA",
            "createTime": "2023-04-19T09:11:27Z",
            "startTime": "2023-04-18T09:27:30Z",
            "endTime": "2023-07-18T09:27:30Z",
            "expired": false
        }
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
